Bug 100531 - [regression] Broken graphics in several games
Summary: [regression] Broken graphics in several games
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-02 13:15 UTC by Gregor Münch
Modified: 2017-04-14 10:52 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
No textures for Lara... (171.33 KB, image/jpeg)
2017-04-02 13:15 UTC, Gregor Münch
Details
broken car reflections in rocket league (560.07 KB, image/jpeg)
2017-04-02 13:17 UTC, Gregor Münch
Details
blue shadows in Warhammer (507.45 KB, image/jpeg)
2017-04-02 13:18 UTC, Gregor Münch
Details
Tomb Raider benchmark screenshot (780.78 KB, image/png)
2017-04-02 18:56 UTC, Jan Ziak
Details
possible fix (1.95 KB, patch)
2017-04-02 22:34 UTC, Marek Olšák
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Münch 2017-04-02 13:15:15 UTC
Created attachment 130639 [details]
No textures for Lara...

Saw this in TotalWar: Warhammer, Rocket League, Tomb Raider, Dirt: Showdown

Radeon HD 7970

5abf60076ce42f3b061e149944a6b4c4ed2c5aa4 is the first bad commit
commit 5abf60076ce42f3b061e149944a6b4c4ed2c5aa4
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Sat Oct 15 15:27:18 2016 +0200

    radeonsi/gfx9: image descriptor changes in mutable fields
    
    Reviewed-by: Nicolai Hähnle <nicolai.haehnle@amd.com>

:040000 040000 18ee069c1eebf2e3788a87cc937d60a52246f7a4 b9e22831b6ed61d93ca34fab67b80b19ad1b0a01 M	src

git bisect log
git bisect start
# bad: [03a67fbbf7847cbdcc26b3bd86ee43e09a55cce9] radv: fix order of the guardband register emission.
git bisect bad 03a67fbbf7847cbdcc26b3bd86ee43e09a55cce9
# good: [57595cb0739d50a3fbd0841d7475bd775f3e24f3] anv/genX: Solve the vkCreateGraphicsPipelines crash
git bisect good 57595cb0739d50a3fbd0841d7475bd775f3e24f3
# good: [9319ef96fd5c2489754eae1b058e4087d7259341] anv/blorp: Use anv_get_layerCount everywhere
git bisect good 9319ef96fd5c2489754eae1b058e4087d7259341
# good: [c8ffec4f4b895fdac0f36895393d100cff7c2ac1] radeonsi/gfx9: FMASK image descriptor changes
git bisect good c8ffec4f4b895fdac0f36895393d100cff7c2ac1
# bad: [18e2aa063ca8e2aeb22a72253891e6f8f5d0d96b] gbm/dri: Check dri extension version before flush after unmap
git bisect bad 18e2aa063ca8e2aeb22a72253891e6f8f5d0d96b
# bad: [9f5dbbe030a069b9c362a48fdcd23d4d6221894f] gallivm: fix a maybe-uninitialized warning
git bisect bad 9f5dbbe030a069b9c362a48fdcd23d4d6221894f
# bad: [7695ea0c02166c7173437f120cbf8dceeec7fc37] radeonsi/gfx9: add linear address computations for texture transfers
git bisect bad 7695ea0c02166c7173437f120cbf8dceeec7fc37
# bad: [6e0d64712aa3fdf07060eeda52417143514004e5] radeonsi/gfx9: use ACQUIRE_MEM
git bisect bad 6e0d64712aa3fdf07060eeda52417143514004e5
# bad: [354285afa08f48d0aab232820698aacc54e347f7] radeonsi/gfx9: fix textureSize/imageSize for 1D textures
git bisect bad 354285afa08f48d0aab232820698aacc54e347f7
# bad: [fc3c503b5d7fc9843220c8d89c6394f145f096af] radeonsi/gfx9: enable clamping for Z UNORM formats promoted to Z32F
git bisect bad fc3c503b5d7fc9843220c8d89c6394f145f096af
# bad: [5abf60076ce42f3b061e149944a6b4c4ed2c5aa4] radeonsi/gfx9: image descriptor changes in mutable fields
git bisect bad 5abf60076ce42f3b061e149944a6b4c4ed2c5aa4
# first bad commit: [5abf60076ce42f3b061e149944a6b4c4ed2c5aa4] radeonsi/gfx9: image descriptor changes in mutable fields
Comment 1 Gregor Münch 2017-04-02 13:17:25 UTC
Created attachment 130640 [details]
broken car reflections in rocket league
Comment 2 Gregor Münch 2017-04-02 13:18:34 UTC
Created attachment 130641 [details]
blue shadows in Warhammer
Comment 3 Jan Ziak 2017-04-02 18:56:44 UTC
Created attachment 130649 [details]
Tomb Raider benchmark screenshot
Comment 4 Marek Olšák 2017-04-02 22:34:03 UTC
Created attachment 130650 [details] [review]
possible fix

Would you please try this patch?
Comment 5 Gregor Münch 2017-04-03 07:18:02 UTC
Cant test till Thursday. I even saw some corruption in Unigine Valley Benchmark, so virtually all with this hardware should be able to reproduce.
Comment 6 Shawn Starr 2017-04-04 14:17:17 UTC
This patch is master and fixes corruption from this https://www.youtube.com/watch?v=lmdJTptF2go also.
Comment 7 Jan Ziak 2017-04-04 15:33:18 UTC
(In reply to Shawn Starr from comment #6)
> This patch is master and fixes corruption from this
> https://www.youtube.com/watch?v=lmdJTptF2go also.

Just a note: If comment #6 isn't a spam message then I don't understand how the Youtube video is related to this issue.
Comment 8 Jan Ziak 2017-04-04 15:35:18 UTC
(In reply to Marek Olšák from comment #4)
> Created attachment 130650 [details] [review] [review]
> possible fix
> 
> Would you please try this patch?

Tomb Raider benchmark renders correctly with mesa-git.
Comment 9 Gregor Münch 2017-04-14 10:52:10 UTC
Can confirm, everything is back to normal. Thx for the fast fix.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.